
QGIS Application - Bug report #90

segfault after quitting grass digit

2006-04-20 01:39 PM - anonymous -

Status: Closed

Priority: Low

Assignee: Redmine Admin

Category: GRASS

Affected QGIS version: Regression?: No

Operating System: Debian Easy fix?: No

Pull Request or Patch supplied: Resolution: fixed

Crashes QGIS or corrupts data: Copied to github as #: 10149

Description

1. add grass vector

2. start grass digit

3. quit grass digit

4. right click on canvas (once more if still no segfault)

6. segfault

BACKTRACE:

#0  0xb757f529 in QActionPrivate::sendDataChanged ()

   from /usr/local/Trolltech/Qt-4.1.2/lib/libQtGui.so.4

(gdb) bt

#0  0xb757f529 in QActionPrivate::sendDataChanged ()

   from /usr/local/Trolltech/Qt-4.1.2/lib/libQtGui.so.4

#3905  0xb757f7ea in QAction::setChecked ()

   from /usr/local/Trolltech/Qt-4.1.2/lib/libQtGui.so.4

#3906  0xb682f49e in [[QgsMapTool]]::activate (this=0x8459f48) at qgsmaptool.cpp:77

#3907  0xb68135af in [[QgsMapCanvas]]::setMapTool (this=0x81b7e50, tool=0x8459f48)

    at qgsmapcanvas.cpp:815

#3908  0xb68136b1 in [[QgsMapCanvas]]::contentsMouseReleaseEvent (this=0x81b7e50,

    e=0xbfec0240) at qgsmapcanvas.cpp:681

#3909  0xb7b9cb5c in Q3ScrollView::viewportMouseReleaseEvent ()

   from /usr/local/Trolltech/Qt-4.1.2/lib/libQt3Support.so.4

#3910  0xb7b9d37f in Q3ScrollView::eventFilter ()

   from /usr/local/Trolltech/Qt-4.1.2/lib/libQt3Support.so.4

#3911  0xb75841ac in QApplicationPrivate::notify_helper ()

   from /usr/local/Trolltech/Qt-4.1.2/lib/libQtGui.so.4

#3912  0xb7584c0a in QApplication::notify ()

   from /usr/local/Trolltech/Qt-4.1.2/lib/libQtGui.so.4

#3913  0xb75e084f in QETWidget::translateMouseEvent ()

   from /usr/local/Trolltech/Qt-4.1.2/lib/libQtGui.so.4

#10 0xb75df6d6 in QApplication::x11ProcessEvent ()

   from /usr/local/Trolltech/Qt-4.1.2/lib/libQtGui.so.4

#3914 0xb75ef42f in QEventDispatcherX11::processEvents ()

   from /usr/local/Trolltech/Qt-4.1.2/lib/libQtGui.so.4

#3915 0xb7e2aca5 in QEventLoop::processEvents ()
   from /usr/local/Trolltech/Qt-4.1.2/lib/libQtCore.so.4

#3916 0xb7e2aef0 in QEventLoop::exec ()

   from /usr/local/Trolltech/Qt-4.1.2/lib/libQtCore.so.4

#3917 0xb7e303b4 in QCoreApplication::exec ()

   from /usr/local/Trolltech/Qt-4.1.2/lib/libQtCore.so.4

#3918 0xb7583979 in QApplication::exec ()

   from /usr/local/Trolltech/Qt-4.1.2/lib/libQtGui.so.4

#3919 0x0804cd50 in main (argc=2, argv=0xbfec10e4) at main.cpp:581

Maciek

History

#1 - 2006-08-08 10:43 AM - Redmine Admin

- Resolution set to fixed

- Status changed from Open to Closed

Fixed in revision revision 5676.

BTW, map tool handling must be enhanced somehow, especially switching between standard/plugin and plugin/plugin tools.

Radim

#2 - 2009-08-22 12:46 AM - Anonymous

Milestone Version 0.8 deleted
